/* Assigning the the whole page the same color and font */
body {
    background-color: rgb(157, 156, 238);
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

/* Despite the width, the header is always the same width and style */
header {
  color: rgb(72, 70, 201);
  background-color: #ffffff;
  border-radius: 15px;
  padding: 1%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  margin-bottom: 10px;
  text-align: center;
  width: 98%;
  font-size: 24px; 
}
/* On the order and About Us page are articles without an aside */
.lonelyArticle {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20px;
  min-width: 95%;
}

/* To make sure that de paragraphs do not touch the border */
p {
  padding-left: 1%;
  padding-right: 1%; 
}

/* Always under the introduction, altough the review is hidden at max 768px */
table {
  background-color: white;
  padding: 1%;
  border-collapse: collapse;
  width: 98%;
  text-align: center;
}

th {
  border: 3px solid rgb(72, 70, 201);
  color: rgb(72, 70, 201);
}

table a {
  width: 10%;
  text-decoration: none;
}

/* Highlight effect when hovering over a link*/
table a:hover {
  color: white;
  background-color: rgb(72, 70, 201);
  transition: background-color 1.5s, color 0.5s;
  border-radius: 15px;
  padding: 5px;
}

/* The photo is relative to the aside 100% */
.photo {  
  width: 100%;
  height: 100%;
  border-radius: 10px 10px 0 0;
}

.logo {
  text-align: center;
  border: 3px solid rgb(72, 70, 201);
  margin-left: auto;
  margin-right: auto;
  border-radius: 15px;
  padding: 2px;
}

.rowdiffer {
  background-color: rgb(195, 195, 236);
}

.titletext {
  color: rgb(72, 70, 201);
  margin-bottom: 10px;
  text-align: start;
  padding: 1%;
}

.koptext {
  color: rgb(72, 70, 201);
  margin-bottom: 10px;
  text-align: start;
  padding-left: 1%;
}

.checked {
  color: rgb(255, 175, 0);
}

nav .current {
background-color: rgb(146, 175, 199)
}

.center{
  text-align: center;
}

.selectorMenu {
  margin: auto;
  bottom: 0;
  align-items: center;
  width: 94vw; 
  display: flex;
  justify-content: center;
}

.centerSection{
  border: 3px solid rgb(72, 70, 201);
  display: inline-block;
  padding: 8px;
  border-radius: 15px;
  background-color: white;
}

#selectorHeader{
  font-size: 2em;
  margin: auto;
}

#applyBtn{
  display: inline-block;
}

@media only screen and (min-width: 768px) {

/* Opposite of .hidden_for_small, changes the image depending on the width and shows the review-column */
  .hidden_for_big{
  display: none;
}

.centerSection{
  width: 700px;
}

article {
  background-color: white;
  border-radius: 15px;
  padding: 1%;   
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}
.lonelyArticle {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20px;
  min-width: 95%;
}
aside {
  margin-right: 5px;
  float: right;
  vertical-align: top;
  height: 18%;
  border: 3px solid rgb(72, 70, 201);
  background-color: white;
  border-radius: 15px;
}

/* On the homepage the aside is styled differently from the .foto-aside on the Book page and the Author page*/
.details-aside{
  width: 50%
}

.foto-aside{
  width: 25%;
}

/* Add a blue background color to the top navigation */
nav {
  display: flex;
  justify-content: space-around;
  background-color: rgb(72, 70, 201);
  overflow: hidden;
  border-radius: 15px;
  min-width: 760px;
  margin-bottom: 10px;
}

/* Style the links inside the navigation bar */
nav a {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 20px 10px 20px;
  text-decoration: none;
  font-size: 18px;
  width: 17%;
  transition: width 0.4s;
}

/* Change the color of links on hover */
nav a:hover {
  background-color: #ddd;
  color: rgb(72,70,201);
  width: 30%;
  transition: width 0.8s;
}

.mainsection {
  display: flex;
  flex-direction: row;
}

/* The width of the bottom logo is a less percentage at a bigger screenview */
.logo {
  width: 20%;
}
}

@media only screen and (max-width: 768px) {
.mainsection {
  flex-direction: column;
  align-items: center;
}

.centerSection{
  width: 90vw;
}

#selectorHeader{
  font-size: 1em;
}

aside {   
  margin: 5px auto ;
  vertical-align: top;
  border: 3px solid rgb(72, 70, 201);
  background-color: white;
  border-radius: 15px;
  width: 95%;
}

.mainarticle {
  width: 95%;
  padding: 5px;
  margin-right: auto;
  margin-left: auto;
}

/* Opposite of .hidden_for_big, changes the image depending on the width and takes away the review-column */

.hidden_for_small{
  display: none;
}

article {
  background-color: white;
  border-radius: 15px;
  padding: 1%;
  min-width: 80%;
  margin-left: auto;
  margin-right: auto;
}

/* Add a black background color to the top navigation */
nav {
  display: flex;
  justify-content: space-around;
  background-color: rgb(72, 70, 201);
  overflow: hidden;
  border-radius: 15px;
  margin-bottom: 10px;
}

/* Style the links inside the navigation bar */
nav a {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 20px 0px;
  text-decoration: none;
  font-size: 13px;
  transition: width 0.4s;
  width: 17%;
}

/* Change the color of links on hover */
nav a:hover {
  background-color: #ddd;
  color: rgb(2, 0, 100);
  width: 30%;
  transition: width 0.8s;
}

.logo {
  width: 40%;
}
}
@media only screen and (max-width: 425px) {
nav a {
  font-size: 9px;
}
}
@media only screen and (max-width: 567px) and (min-width: 507px) {
  #applyBtn{
    display: flex;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5px;
  }
}
@media only screen and (max-width: 320px){
  #applyBtn{
    display: flex;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5px;
  }
}

.moreInfoLink {
color: rgb(72, 70, 201);
}

#smallText{
  font-size: 0.7em;
}
#normalText{
  font-size: 1em;
}
#bigText{
  font-size: 2em;
}